%define name	e3
%define version	2.6.0
%define release	1mdk

Summary:	E3 is a tiny editor, well suited for rescue disks.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Group:		Editors 
URL:		http://www.sax.de/~adlibit
License:	GPL
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Provides:	editor e3 e3-2.31
BuildRequires:	nasm

%description
E3 is teeny tiny editor that doesn't depend on any libs.
e3 uses subset of wordstar|emacs|pico|vi|nedit commands.
Author: Albrecht Kleine  <kleine@ak.sax.de>

%prep

%setup -q -n %{name}-2.6

%build

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1

install -m755 e3 %{buildroot}%{_bindir}/e3

install -m644 e3.man %{buildroot}%{_mandir}/man1/e3.1

# fix those softlinks
pushd %{buildroot}%{_bindir}
    for i in e3em e3ne e3pi e3vi e3ws; do 
	ln -snf e3 ${i}
    done
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README ChangeLog e3.html
%{_bindir}/e3
%{_bindir}/e3em
%{_bindir}/e3ne
%{_bindir}/e3pi
%{_bindir}/e3vi
%{_bindir}/e3ws 
%{_mandir}/man1/e3*.bz2

%changelog
* Thu Aug 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.0-1mdk
- 2.6.0

* Sun Apr 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.43-1mdk
- 2.43
- misc spec file fixes

* Mon Mar 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.41-1mdk
- 2.41

* Mon Apr 29 2002 chipaux <chipaux@mandrakesoft.com> 2.33-1mdk
- First Mandrake Release
